<?php
/* Author: Marton Horvath */
/* Date: 2015 */
/* File: index.php */
?>

<html>

<head>
	<title>LinK - Double plot mode</title>

	<script type="text/javascript">

		function scaleParameterX_A() 
		{ 
			var Index = document.myform_a.x_axis_scale.options[document.myform_a.x_axis_scale.selectedIndex].value; 
			if(Index == "root" || Index == "power" )
			{
				document.getElementById("x_scale_parameter_a").removeAttribute("disabled");
				if(document.myform_a.x_scale_parameter_a.value == "")
				{
					document.myform_a.x_scale_parameter_a.value = 2;
				}
			} 
			else
			{
				document.getElementById("x_scale_parameter_a").setAttribute("disabled", "disabled");
			}
		}
		function scaleParameterX_B() 
		{ 
			var Index = document.myform_b.x_axis_scale.options[document.myform_b.x_axis_scale.selectedIndex].value; 
			if(Index == "root" || Index == "power" )
			{
				document.getElementById("x_scale_parameter_b").removeAttribute("disabled");
				if(document.myform_b.x_scale_parameter_b.value == "")
				{
					document.myform_b.x_scale_parameter_b.value = 2;
				}
			} 
			else
			{
				document.getElementById("x_scale_parameter_b").setAttribute("disabled", "disabled");
			}
		}

		function scaleParameterY_A() 
		{ 
			var Index = document.myform_a.y_axis_scale.options[document.myform_a.y_axis_scale.selectedIndex].value; 
			if(Index == "root" || Index == "power" )
			{
				document.getElementById("y_scale_parameter_a").removeAttribute("disabled");
				if(document.myform_a.y_scale_parameter_a.value == "")
				{
					document.myform_a.y_scale_parameter_a.value = 2;
				}
			} 
			else
			{
				document.getElementById("y_scale_parameter_a").setAttribute("disabled", "disabled");
			}
		}
		function scaleParameterY_B() 
		{ 
			var Index = document.myform_b.y_axis_scale.options[document.myform_b.y_axis_scale.selectedIndex].value; 
			if(Index == "root" || Index == "power" )
			{
				document.getElementById("y_scale_parameter_b").removeAttribute("disabled");
				if(document.myform_b.y_scale_parameter_b.value == "")
				{
					document.myform_b.y_scale_parameter_b.value = 2;
				}
			} 
			else
			{
				document.getElementById("y_scale_parameter_b").setAttribute("disabled", "disabled");
			}
		}


		// Popup window code
		function newPopup(url) 
		{
			popupWindow = window.open(url,'popUpWindow','height=150,width=350,left=1,top=25,resizable=yes,scrollbars=yes,toolbar=no,menubar=no,location=no,directories=no,status=yes')
		}
		function bigPopup(url) 
		{
			popupWindow = window.open(url,'popUpWindow','height=620,width=380,left=1,top=25,resizable=yes,scrollbars=yes,toolbar=no,menubar=no,location=no,directories=no,status=yes')
		}


	</script>

	<style type="text/css">
		body 
		{
			background-image: url(images/bg.png);
			font-family: Arial, Helvetica, sans-serif;
			font-size: 13px;
			color: #333333;
			text-align: center;
		}
		table 
		{
			background-color: #DBDBDB;
			vertical-align: "top";
			font-family: "Courier New", Courier, mono; font-size: 15px;
		}
		input.refresh_button 
		{
		    width: 16.35em;  height:1.5em;
		}
		input.double_plot_button 
		{
		    width: 16.35em;  height: 1.5em;
		}
		input.other_button 
		{
		    width: 8em;  height: 1.5em;
		}
		input.text_field 
		{
		    width: 6.2em;  height: 1.5em;
		}
		.style3 
		{
			font-family: "Courier New", Courier, mono; font-size: 13px;
		}
	
	</style>
</head>

<body >
	<table border="0" cellpadding="0" cellspacing="0" align="center">

	<table border="1" cellpadding="2" cellspacing="0" align="center">
 		<tr>
 		  
 		  <td>
 		  		 		  		
				<form name="myform_a" action="plot_double.php" method="post", target="_iframe_a">
 				
				<!-- ********** GRAPH SECTION ********** -->
				<table><tr><td><b><br>GRAPH</b><td></tr></table>
				<table class="style3"><tr><td>f(x)=</td><td>
				<input type="text" name="expression1" size="19" value="x"><img src="images/red.png"width="10" height="10" border="0"></td></tr></table>
				<table>
					<tr><td>Plot density: </td>
					<td><select name="plot_density">
					 		 <option value="normal" selected="selected">normal</option>
					 		 <option value="high">high</option>
					 		 <option value="very_high">very_high</option>
						</select>
					</td></tr>
					<tr><td>Thick plot: </td><td><input type="hidden" name="thick_plot" value="false"><input type="checkbox" name="thick_plot" value="true"></td></tr>
				</table>

				<!-- ********** X AXIS SECTION ********** -->
				<table><tr><td><b>X AXIS</b><td></tr></table> 
				<table class="style3"><tr>
					<td>Scale type: </td>
					<td><select name="x_axis_scale" onchange="scaleParameterX_A();">
					 		 <option value="linear" selected="selected">linear</option>
					 		 <option value="logarithm" >logarithm</option>
					 		 <option value="exponent">exponent</option>
					 		 <option value="power">power</option>
					 		 <option value="root">root</option>
					 		 <option value="reciprocal">reciprocal</option>
					 		 <option value="normal">normal</option>
					 		 <option value="lognormal">lognormal</option>
					 		 <option value="tan">tan</option>
					 		 <option value="atan">atan</option>
					 		 <option value="tanh">tanh</option>
					 		 <option value="atanh">atanh</option>
						</select>
					</td></tr>
					<tr><td>Scale parameter: </td><td><input type="text" id="x_scale_parameter_a" name="x_scale_parameter" size="8" autocomplete="off" class="text_field" disabled></td></tr>
					<tr><td>Scale MIN: </td><td><input type="text" name="x_axis_scale_min" size="8" value="-5" autocomplete="off" class="text_field"></td></tr>
					<tr><td>Scale MAX: </td><td><input type="text" name="x_axis_scale_max" size="8" value="5" autocomplete="off" class="text_field"></td></tr>
					<tr><td>Tick anchor: </td><td><input type="text" name="x_tick_anchor" size="8" value="" autocomplete="off" class="text_field"></td></tr>
					<tr><td>Tick increment: </td><td><input type="text" name="x_tick_increment" size="8" value="" autocomplete="off" class="text_field"></td></tr>
					<tr><td>Draw grid: </td><td><input type="hidden" name="x_draw_grid" value="false"><input type="checkbox" name="x_draw_grid" value="true" checked="checked"></td></tr>
				</table>

				<!-- <********** Y AXIS SECTION ********** -->
				<table><tr><td><b>Y AXIS</b><td></tr></table> 
				<table class="style3"><tr>
					<td>Scale type: </td>
					<td><select name="y_axis_scale" onchange="scaleParameterY_A();">
					  		<option value="linear" selected="selected">linear</option>
					  		<option value="logarithm">logarithm</option>
					  		<option value="exponent">exponent</option>
					  		<option value="power">power</option>
					  		<option value="root">root</option>
					  		<option value="reciprocal">reciprocal</option>
					  		<option value="normal">normal</option>
					  		<option value="lognormal">lognormal</option>
					  		<option value="tan">tan</option>
					 		<option value="atan">atan</option>
					 		<option value="tanh">tanh</option>
					 		<option value="atanh">atanh</option>
						</select>
					</td></tr>
					<tr><td>Scale parameter: </td><td><input type="text" id="y_scale_parameter_a" name="y_scale_parameter" size="8" autocomplete="off" class="text_field" disabled></td></tr>
					<tr><td>Scale MIN: </td><td><input type="text" name="y_axis_scale_min" size="8" value="-5" autocomplete="off" class="text_field"></td></tr>
					<tr><td>Scale MAX: </td><td><input type="text" name="y_axis_scale_max" size="8" value="5" autocomplete="off" class="text_field"></td></tr>
					<tr><td>Tick anchor: </td><td><input type="text" name="y_tick_anchor" size="8" value="" autocomplete="off" class="text_field"></td></tr>
					<tr><td>Tick increment: </td><td><input type="text" name="y_tick_increment" size="8" value="" autocomplete="off" class="text_field"></td></tr>
					<tr><td>Draw grid: </td><td><input type="hidden" name="y_draw_grid" value="false"><input type="checkbox" name="y_draw_grid" value="true" checked="checked"></td></tr></table>

				<table class="style3" align="center"><tr><td><input type="submit" value="PLOT!" class="refresh_button"></td></tr></table>		
			</form>	
 		  </td>

 		  <td width="540"><iframe name="_iframe_a" src="plot_double.php" width="540" height="540" border="0" scrolling="yes"></iframe></td> 
 		  <td width="540"><iframe name="_iframe_b" src="plot_double.php" width="540" height="540" border="0" scrolling="yes"></iframe></td> 

 		  <td>

				<form name="myform_b" action="plot_double.php" method="post", target="_iframe_b">
 				
 				<!-- ********** GRAPH SECTION ********** -->
				<table><tr><td><b><br>GRAPH</b><td></tr></table>
				<table class="style3"><tr><td>f(x)=</td><td>
				<input type="text" name="expression1" size="19" value="x"><img src="images/red.png"width="10" height="10" border="0"></td></tr></table>
				<table>

					<tr><td>Plot density: </td>
					<td><select name="plot_density">
					 		 <option value="normal" selected="selected">normal</option>
					 		 <option value="high">high</option>
					 		 <option value="very_high">very_high</option>
						</select>
					</td></tr>
					<tr><td>Thick plot: </td><td><input type="hidden" name="thick_plot" value="false"><input type="checkbox" name="thick_plot" value="true"></td></tr>
				</table>

				<!-- ********** X AXIS SECTION ********** -->
				<table><tr><td><b>X AXIS</b><td></tr></table> 
				<table class="style3"><tr>
					<td>Scale type: </td>
					<td><select name="x_axis_scale" onchange="scaleParameterX_B();">
					 		 <option value="linear" selected="selected">linear</option>
					 		 <option value="logarithm" >logarithm</option>
					 		 <option value="exponent">exponent</option>
					 		 <option value="power">power</option>
					 		 <option value="root">root</option>
					 		 <option value="reciprocal">reciprocal</option>
					 		 <option value="normal">normal</option>
					 		 <option value="lognormal">lognormal</option>
					 		 <option value="tan">tan</option>
					 		 <option value="atan">atan</option>
					 		 <option value="tanh">tanh</option>
					 		 <option value="atanh">atanh</option>
						</select>
					</td></tr>
					<tr><td>Scale parameter: </td><td><input type="text" id="x_scale_parameter_b" name="x_scale_parameter" size="8" autocomplete="off" class="text_field" disabled></td></tr>
					<tr><td>Scale MIN: </td><td><input type="text" name="x_axis_scale_min" size="8" value="-5" autocomplete="off" class="text_field"></td></tr>
					<tr><td>Scale MAX: </td><td><input type="text" name="x_axis_scale_max" size="8" value="5" autocomplete="off" class="text_field"></td></tr>
					<tr><td>Tick anchor: </td><td><input type="text" name="x_tick_anchor" size="8" value="" autocomplete="off" class="text_field"></td></tr>
					<tr><td>Tick increment: </td><td><input type="text" name="x_tick_increment" size="8" value="" autocomplete="off" class="text_field"></td></tr>
					<tr><td>Draw grid: </td><td><input type="hidden" name="x_draw_grid" value="false"><input type="checkbox" name="x_draw_grid" value="true" checked="checked"></td></tr>
				</table>

				<!-- <********** Y AXIS SECTION ********** -->
				<table><tr><td><b>Y AXIS</b><td></tr></table> 
				<table class="style3"><tr>
					<td>Scale type: </td>
					<td><select name="y_axis_scale" onchange="scaleParameterY_B();">
					  		<option value="linear" selected="selected">linear</option>
					  		<option value="logarithm">logarithm</option>
					  		<option value="exponent">exponent</option>
					  		<option value="power">power</option>
					  		<option value="root">root</option>
					  		<option value="reciprocal">reciprocal</option>
					  		<option value="normal">normal</option>
					  		<option value="lognormal">lognormal</option>
					  		<option value="tan">tan</option>
					 		<option value="atan">atan</option>
					 		<option value="tanh">tanh</option>
					 		<option value="atanh">atanh</option>
						</select>
					</td></tr>
					<tr><td>Scale parameter: </td><td><input type="text" id="y_scale_parameter_b" name="y_scale_parameter" size="8" autocomplete="off" class="text_field" disabled></td></tr>
					<tr><td>Scale MIN: </td><td><input type="text" name="y_axis_scale_min" size="8" value="-5" autocomplete="off" class="text_field"></td></tr>
					<tr><td>Scale MAX: </td><td><input type="text" name="y_axis_scale_max" size="8" value="5" autocomplete="off" class="text_field"></td></tr>
					<tr><td>Tick anchor: </td><td><input type="text" name="y_tick_anchor" size="8" value="" autocomplete="off" class="text_field"></td></tr>
					<tr><td>Tick increment: </td><td><input type="text" name="y_tick_increment" size="8" value="" autocomplete="off" class="text_field"></td></tr>
					<tr><td>Draw grid: </td><td><input type="hidden" name="y_draw_grid" value="false"><input type="checkbox" name="y_draw_grid" value="true" checked="checked"></td></tr></table>
				<table class="style3" align="center"><tr><td><input type="submit" value="PLOT!" class="refresh_button"></td></tr></table>			
 		  </td>


 		</tr> 
 	 </table>
 	</form>

		</tr>
		<!-- <tr><td><a href="http://www.000webhost.com/" target="_blank"><img src="images/80x15_powered.gif" alt="Web Hosting" width="80" height="15" border="0" /></a></td></tr> -->
	
	</table>

</body>

</html>
